opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Attributes | List of all members
CvMat Struct Reference

`#include <types_c.h>`

## Public Attributes
union {
int height
int rows
}; |
union {
int cols
int width
}; |
union {
double * db
float * fl
int * i
uchar * ptr
short * s
} | data
int | hdr_refcount
int * | refcount
int | step
int | type

## Member Data Documentation

union { ... }

union { ... }

int CvMat::cols

union { ... } CvMat::data

double* CvMat::db

float* CvMat::fl

int CvMat::hdr_refcount

int CvMat::height

int* CvMat::i

uchar* CvMat::ptr

int* CvMat::refcount

int CvMat::rows

short* CvMat::s

int CvMat::step

int CvMat::type

int CvMat::width

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/types_c.h